<?php
/*
Description: Mostrar dashboard Widget con los paypals
Version: 1.2 (No mostrar tiendas no activas en el dashboard ni manuals)
Author: Arturo
License: GPLv2 or later
*/
//Estilo para los botones de reset yes no
{
$GLOBALS['estilo']="
	<style> 
		widget1{
		}
		.widget1 th {
			text-align:center;border-bottom:solid 1px Gainsboro;font-weight:ligther;font-family:Gergia, sans-serif;color:gray;font-size:12px;
		}
		.widget1 td {
			border-bottom:solid 1px Gainsboro;
		}
		.widget2 td {
			border-bottom:none;
		}
		.textoligero{
			color:gray;font-size:13px;font-style:italic;
		}
		.textomedio{
			color:SteelBlue;font-size:15px;font-style:italic;
		}
		.textofuerte{
			font-size:16px;
		}
		.boton_yes{
			background-color:E9F5F0;border:solid 1px YellowGreen; border-radius:10px;color:YellowGreen;font-size:11px;
		}
		.boton_no{
			background-color:LightPink;border:solid 1px Crimson; border-radius:10px;color:Crimson;font-size:11px;width:35px;text-align:center;
		}
		.reset{
			font-size:11px;color:Crimson;cursor:pointer; 
		}
		.ifhidden{
			display:none;
		}
		.ifshow{
			display:block;
		}
	</style>
	";

$GLOBALS['script']="
	<script type='text/javascript'>
		function reset(i){
			sure='sure'+i;
			//alert (sure);
			
			sure = document.getElementById(sure);
			sure.style.display = 'block';		

			areyousure='areyousure'+i;
			areyousure = document.getElementById(areyousure);
			areyousure.style.display = 'none';		
			}

		function noreset(i){
			sure='sure'+i;
			//alert (sure);
			sure = document.getElementById(sure);
			sure.style.display = 'none';		

			areyousure='areyousure'+i;
			areyousure = document.getElementById(areyousure);
			areyousure.style.display = 'block';		
			}
	</script>
";
}

defined( 'ABSPATH' ) || exit;

// Codigo para establecer los ingresos en _ppactivesales en 0
if (isset($_REQUEST['pp_active_id'])&&$_REQUEST['pp_active_id']>0) {
	$paypal_id = $_REQUEST['pp_active_id'];

	date_default_timezone_set('America/La_Paz');
	switch_to_blog($GLOBALS['pp_server_id']);//Me voy al servidor paypals
		update_post_meta($paypal_id,'_ppactivesales',0);
	restore_current_blog();
	switch_to_blog($_REQUEST['site_id']);
		$oldpaypal=get_option('_oldpaypals');
		$insert = "Sales Revenue to zero*".date("d-m-Y h:i:s a")."|";
		$oldpaypal.=$insert;
		update_option('_oldpaypals',$oldpaypal); 
		update_option('_paypalupdatedate',date("d-m-Y h:i:s a"));
		$home = get_option('home');
	restore_current_blog();
	
	$path= (isset($_REQUEST['is_country'])&&$_REQUEST['is_country']>0)?'/wp-admin/':'/wp-admin/network/';
	header('Location: '.$home.$path);
}

//Accion Hook Red
if(is_multisite()){
	add_action('wp_network_dashboard_setup','agregar_widget_red');
}//add_action('wp_dashboard_setup','dcms_agregar_widget');

//Agregar Widget de red
function agregar_widget_red(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypals for all sites','mostrar_widget_red');
}

function mostrar_widget_red(){

	$columna = get_paypal_option('periodsales');
	$filas = json_decode(paypal_return_paypals_table('W'));
	switch($columna){//A=active D=daily M=monthly L=lifetime
		case 'A':
			$title_column="Active Sales";
			break;
		case 'D':
			$title_column="Today Sales";
			break;
		case 'M':
			$title_column="Monthly Sales";
			break;
		case 'L':
			$title_column="All Sales";
			break;
	}
	//$estilo="";
	$mostrar=$GLOBALS['estilo'];
	$mostrar.="<table class='widget1'>
				<tr>
					<th width='10%'>Color</th>
					<th width='70%'>Paypal for site</th>
					<th width='10%'>".$title_column."</th>
				</tr>";
	$i=0;
	foreach ($filas as $fila){
		switch_to_blog($fila->site_id);
			$ppmethod=get_paypal_payment_method();
		restore_current_blog();
		if ($ppmethod<>'nomethod'){
			
			switch($columna){//A=active D=daily M=monthly L=lifetime
				case 'A':
					$value_column=$fila->ppactivesales;
					break;
				case 'D':
					$value_column=$fila->ppdaysales;
					break;
				case 'M':
					$value_column=$fila->ppmonthlysales;
					break;
				case 'L':
					$value_column=$fila->pplifetimesales;
					break;
			}

			$home = get_option('home');
			$form = "<form action='".$home."/wp-admin/network' >";
			$form.= "<input type='hidden' id='pp_active_id' name='pp_active_id' value='".$fila->pp_active_id."'>";
			$form.= "<input type='hidden' id='site_id' name='site_id' value='".$fila->site_id."'>";
			$form.= "<div id='sure".$i."' style='display:none;width:100px;' class='ifhidden'>";
			$form.= "<label for='ppactivesales_reset'>Sure to reset?";
			$form.= "<input type='submit' id='ppactivesales_reset' name='ppactivesales_reset' value='Yes' class='boton_yes' >";
			$form.= "<input type='nothing' id='ppactivesales_none'  value='No' class='boton_no' onclick='noreset(".$i.")'>";
			$form.= "</label>";
			$form.= "</div>";

			$form.= "<div style='text-align:right;width:100px;cursor:hand;'><a id='areyousure".$i."'  class='reset' onclick='reset(".$i++.")'>Reset</a></div>";
			$form.= "</form>";
			$mostrar.="<tr>";
				$mostrar.="
					<td style='font-size:20px;'>".$fila->colorcod."</td>
					<td>
						<div class='textofuerte'><a href='".$fila->url."/wp-admin/'> ".$fila->sitio."</a></div>
						<div class='textomedio'>".$fila->pp_user_name."</div>
						<div class='curtime'><span id='timestamp'>Changed on: ".$fila->pp_date_changed."</span></div>
					</td>
					<td align='center'><b style='font-size:18px;'>".$value_column."</b><br>".$form."</td>";
			$mostrar.="<td>
				</td></tr>";
		}else{
				$mostrar.="
					<td style='font-size:20px;'></td>
					<td>
						<div class='textofuerte'><a href='".$fila->url."/wp-admin/'> ".$fila->sitio."</a></div>
						<div class='textomedio' style='color:red;'>Paypal payment method not actived!</div>
						<div class='curtime'></div>
					</td>
					<td align='center'><b style='font-size:18px;'></td>";
			$mostrar.="<td>
				</td></tr>";
		}// fin de if (get_paypal_payment_method()<>'nomethod')
	}
	$mostrar.="</table>";
	$mostrar.=$GLOBALS['script'];
	echo $mostrar;
}

//Accion Hook por pais
add_action('wp_dashboard_setup','agregar_widget_pais');

//Agregar Widget por pais
function agregar_widget_pais(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypal for this site','mostrar_widget_pais');
}

//Mostrar Widget por pais
function mostrar_widget_pais(){

	$fila1 = json_decode(paypal_return_paypals_table('P'));
	$fila=$fila1[0];
	$columna = get_paypal_option('periodsales');
	$i=0;
	switch($columna){//A=active D=daily M=monthly L=lifetime
		case 'A':
			$title_column="Active Sales";
			$value_column=$fila->ppactivesales;
			break;
		case 'D':
			$title_column="Today Sales";
			$value_column=$fila->ppdaysales;
			break;
		case 'M':
			$title_column="Monthly Sales";
			$value_column=$fila->ppmonthsales;
			break;
		case 'L':
			$title_column="All Sales";
			$value_column=$fila->pplifetimesales;
			break;
	}
		$home = get_option('home');
		$form = "<form action='".$home."/wp-admin' >"; 
		$form.= "<input type='hidden' id='pp_active_id' name='pp_active_id' value='".$fila->pp_active_id."'>";
		$form.= "<input type='hidden' id='is_country' name='is_country' value='1'>";
		$form.= "<input type='hidden' id='site_id' name='site_id' value='".$fila->site_id."'>";
		
		$form.= "<div id='sure".$i."' style='display:none;width:100%;' class='ifhidden'>";
		$form.= "<label for='ppactivesales_reset'>Sure to reset?";
		$form.= "<input type='submit' id='ppactivesales_reset' name='ppactivesales_reset' value='Yes' class='boton_yes' >";
		$form.= "<input type='nothing' id='ppactivesales_none'  value='No' class='boton_no' onclick='noreset(".$i.")'>";
		$form.= "</label>";
		$form.= "</div>";

		$form.= "<div style='text-align:right;width:100%'><a id='areyousure".$i."'  class='reset' onclick='reset(".$i++.")'>Reset</a></div>";
		$form.= "</form>";

//print_r($fila);
	$value_column=empty($value_column)?'0,00':$value_column;
	echo $GLOBALS['estilo'];
	$ppmethod=get_paypal_payment_method();
	if($ppmethod<>'nomethod'){
		echo "  <div style=padding-bottom:10px;>Paypal active is:</div> 
				<div class='textomedio'>".$fila->colorcod."&nbsp;&nbsp;".$fila->pp_user_name."</div>
				<hr>
				<div class='curtime'><span id='timestamp'>Changed on: ".$fila->pp_date_changed."</span></div>
				<div style='text-align:right;'>".$title_column.": <b style='font-size:18px;'>".$value_column."</b>".$form."</div>
				</div>";
	}else{
		echo "  <div style=padding-bottom:10px;>Paypal payment method is not active:</div> 
				<div class='textomedio'>Activate the paypal payment method to see it here</div>
				<hr>
				<div class='curtime'><span id='timestamp'>Changed on: </span></div>
				<div style='text-align:right;'></div>
				</div>";
		
	}
	echo $GLOBALS['script'];
}// fin de funcion


